#include <REG51xD2.H>
#include <input.h>
#include <LCD.h>
#include <stdio.h>

sbit input1 = P0^0;
sbit input2 = P0^1;
sbit input3 = P0^2;
sbit input4 = P0^3;
sbit input5 = P0^4;
sbit input6 = P0^5;
sbit input7 = P0^6;
sbit input8 = P0^7;	 

void digitalinput(void){
	char vstup[1];
	int inputs;
	int i;

	for(i=1;i<8;i++){
		inputs = ~input1;
		sprintf(vstup,"%d",inputs);
		LCDPutStr(vstup,(110-(10*i)),60,SMALL,BLACK,WHITE);
		DelayMS(200);
	}
}